#PCLinuxOS Copyright by Bill Reynolds (Texstar)

Name:           pdfshuffler
Version:        0.6.0
Release:        %mkrel 4
Summary:        PDF file merging, rearranging, and splitting
Summary(de):	PDF Dateien bearbeiten
Group:          Publishing
License:        GPLv2+
URL:            http://sourceforge.net/projects/pdfshuffler/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Patch1:         pdfshuffler-0.6.0-fix-icon-location.patch
Patch2:         pdfshuffler-0.6.0-fix-translation.patch
Patch3:         pdfshuffler-0.6.0-fix-FR-mnemonics.patch
Patch4:         pdfshuffler-0.6.0-fix-gtk-threads.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildArch:      noarch

BuildRequires:  %{_lib}python-devel
BuildRequires:  python-setuptools
BuildRequires:  gettext

Requires:       pygtk2
Requires:       python-pypdf
Requires:       python-pypoppler


%description
PDF-Shuffler is a small python-gtk application, which helps the user
to merge or split pdf documents and rotate, crop and rearrange their
pages using an interactive and intuitive graphical interface.

#german
%description -l de
PDF-Shuffler ist ein Programm zur Manipulation von PDF-Dateien. 
Mittels einer intuitiven grafischen Oberfläche lassen sich 
PDF-Dokumente sehr einfach zusammenführen und aufteilen sowie 
deren Seiten rotieren, ausschneiden oder umsortieren. 

PDF-Shuffler wurde von Konstantinos Poulios als Frontend für pyPdf 
geschrieben und steht unter der GPLv2-Lizenz.

%prep
%setup -q
%apply_patches

%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install  --root %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Name=PDF-Shuffler
Comment=PDF Merging, Rearranging, Splitting, Rotating and Cropping
Comment[de]=PDF zusammenführen, neu anordnen, Teilen, Drehen und Zuschneiden
Type=Application
Exec=pdfshuffler
Icon=pdfshuffler
Categories=X-MandrivaLinux-Office;
Terminal=false
StartupNotify=false
EOF

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_mandir}/man*/*.*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/%{name}.ui
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{python_sitelib}/%{name}*.egg-info
%{python_sitelib}/%{name}/%{name}*.py
%{python_sitelib}/%{name}/__init__.py
%{_datadir}/icons/hicolor/scalable/apps/pdfshuffler.svg

%changelog
* Fri Jun 30 2017 adrianomorselli <adrianomorselli> 0.6.0-4uplos2017
- rebuild new poppler
